import { PaginatedList, PaginatedListRequest } from '../model/PaginatedList';
import { ScrollType } from '../config/uiComponentConfig';
import { TotalListLoadInfo } from '../model/TotalList';
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    list: {
        type: import("vue").PropType<PaginatedList<unknown>>;
    };
    page: {
        type: import("vue").PropType<number>;
    };
    limit: {
        type: import("vue").PropType<number>;
    };
    visiblePageCount: {
        type: import("vue").PropType<number>;
    };
    listKey: {
        type: import("vue").PropType<string>;
    };
    skeletonCount: {
        type: import("vue").PropType<number>;
    };
    itemContainerClass: {
        type: import("vue").PropType<string>;
    };
    skeletonContainerClass: {
        type: import("vue").PropType<string>;
    };
    paginationClass: {
        type: import("vue").PropType<string>;
    };
    moreButtonContainerClass: {
        type: import("vue").PropType<string>;
    };
    scrollType: {
        type: import("vue").PropType<ScrollType>;
        default: () => ScrollType;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    listLoaded: (loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType) => void;
    pageChanged: (request: PaginatedListRequest, scrollType: ScrollType) => void;
    needMore: (request: PaginatedListRequest, scrollType: ScrollType) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    list: {
        type: import("vue").PropType<PaginatedList<unknown>>;
    };
    page: {
        type: import("vue").PropType<number>;
    };
    limit: {
        type: import("vue").PropType<number>;
    };
    visiblePageCount: {
        type: import("vue").PropType<number>;
    };
    listKey: {
        type: import("vue").PropType<string>;
    };
    skeletonCount: {
        type: import("vue").PropType<number>;
    };
    itemContainerClass: {
        type: import("vue").PropType<string>;
    };
    skeletonContainerClass: {
        type: import("vue").PropType<string>;
    };
    paginationClass: {
        type: import("vue").PropType<string>;
    };
    moreButtonContainerClass: {
        type: import("vue").PropType<string>;
    };
    scrollType: {
        type: import("vue").PropType<ScrollType>;
        default: () => ScrollType;
    };
}>> & {
    onPageChanged?: ((request: PaginatedListRequest, scrollType: ScrollType) => any) | undefined;
    onListLoaded?: ((loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType) => any) | undefined;
    onNeedMore?: ((request: PaginatedListRequest, scrollType: ScrollType) => any) | undefined;
}, {
    scrollType: ScrollType;
}, {}>, {
    default?(_: {
        listItem: unknown;
    }): any;
    skeleton?(_: {}): any;
    empty?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
