import { PaginatedList, PaginatedListRequest } from '../model/PaginatedList';
import { TotalListLoadInfo } from '../model/TotalList';
import { ScrollType } from '../config/uiComponentConfig';
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    list: {
        type: import("vue").PropType<PaginatedList<unknown>>;
    };
    limit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    listKey: {
        type: import("vue").PropType<string>;
    };
    skeletonCount: {
        type: import("vue").PropType<number>;
        default: number;
    };
    itemContainerClass: {
        type: import("vue").PropType<string>;
    };
    skeletonContainerClass: {
        type: import("vue").PropType<string>;
    };
    appendType: {
        type: import("vue").PropType<"MORE" | "INFINITE">;
        default: string;
    };
    moreButtonContainerClass: {
        type: import("vue").PropType<string>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    listLoaded: (loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType) => void;
    needMore: (request: PaginatedListRequest, scrollType: ScrollType) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    list: {
        type: import("vue").PropType<PaginatedList<unknown>>;
    };
    limit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    listKey: {
        type: import("vue").PropType<string>;
    };
    skeletonCount: {
        type: import("vue").PropType<number>;
        default: number;
    };
    itemContainerClass: {
        type: import("vue").PropType<string>;
    };
    skeletonContainerClass: {
        type: import("vue").PropType<string>;
    };
    appendType: {
        type: import("vue").PropType<"MORE" | "INFINITE">;
        default: string;
    };
    moreButtonContainerClass: {
        type: import("vue").PropType<string>;
    };
}>> & {
    onListLoaded?: ((loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType) => any) | undefined;
    onNeedMore?: ((request: PaginatedListRequest, scrollType: ScrollType) => any) | undefined;
}, {
    limit: number;
    skeletonCount: number;
    appendType: "MORE" | "INFINITE";
}, {}>, {
    empty?(_: {}): any;
    default?(_: {
        listItem: unknown;
    }): any;
    skeleton?(_: {
        key: number;
    }): any;
    more?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
