import { PaginatedList, PaginatedListLoadInfo, PaginatedListRequest } from '../model/PaginatedList';
import { ScrollType } from '../config/uiComponentConfig';
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    list: {
        type: import("vue").PropType<PaginatedList<unknown>>;
    };
    page: {
        type: import("vue").PropType<number>;
    };
    limit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    visiblePageCount: {
        type: import("vue").PropType<number>;
        default: number;
    };
    listKey: {
        type: import("vue").PropType<string>;
    };
    skeletonCount: {
        type: import("vue").PropType<number>;
        default: number;
    };
    itemContainerClass: {
        type: import("vue").PropType<string>;
    };
    skeletonContainerClass: {
        type: import("vue").PropType<string>;
    };
    paginationClass: {
        type: import("vue").PropType<string>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    listLoaded: (loadInfo: PaginatedListLoadInfo, scrollType: ScrollType) => void;
    pageChanged: (request: PaginatedListRequest, scrollType: ScrollType) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    list: {
        type: import("vue").PropType<PaginatedList<unknown>>;
    };
    page: {
        type: import("vue").PropType<number>;
    };
    limit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    visiblePageCount: {
        type: import("vue").PropType<number>;
        default: number;
    };
    listKey: {
        type: import("vue").PropType<string>;
    };
    skeletonCount: {
        type: import("vue").PropType<number>;
        default: number;
    };
    itemContainerClass: {
        type: import("vue").PropType<string>;
    };
    skeletonContainerClass: {
        type: import("vue").PropType<string>;
    };
    paginationClass: {
        type: import("vue").PropType<string>;
    };
}>> & {
    onPageChanged?: ((request: PaginatedListRequest, scrollType: ScrollType) => any) | undefined;
    onListLoaded?: ((loadInfo: PaginatedListLoadInfo, scrollType: ScrollType) => any) | undefined;
}, {
    limit: number;
    visiblePageCount: number;
    skeletonCount: number;
}, {}>, {
    skeleton?(_: {
        key: number;
    }): any;
    empty?(_: {}): any;
    default?(_: {
        listItem: unknown;
    }): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
