import { AutoplayOptions, FreeModeOptions } from "swiper/types";
import { PaginationOptions } from "swiper/types/modules/pagination";
import { NavigationOptions } from "swiper/types/modules/navigation";
import { PropBreakpoint } from '../components/UiSwiperModel';
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    loop: {
        type: import("vue").PropType<boolean>;
    };
    autoplay: {
        type: import("vue").PropType<boolean | AutoplayOptions>;
    };
    breakpoints: {
        type: import("vue").PropType<PropBreakpoint>;
    };
    direction: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: string;
    };
    index: {
        type: import("vue").PropType<number>;
    };
    slidesPerView: {
        type: import("vue").PropType<number | "auto">;
        default: number;
    };
    spaceBetween: {
        type: import("vue").PropType<number>;
    };
    scrollbar: {
        type: import("vue").PropType<boolean>;
    };
    pagination: {
        type: import("vue").PropType<boolean | PaginationOptions>;
    };
    navigation: {
        type: import("vue").PropType<boolean | NavigationOptions>;
    };
    autoHeight: {
        type: import("vue").PropType<boolean>;
    };
    freeMode: {
        type: import("vue").PropType<boolean | FreeModeOptions>;
    };
    fade: {
        type: import("vue").PropType<boolean>;
    };
    centeredSlides: {
        type: import("vue").PropType<boolean>;
    };
    slidesPerGroup: {
        type: import("vue").PropType<number>;
    };
    mousewheel: {
        type: import("vue").PropType<boolean>;
    };
}, {
    swiper: import("vue").ComputedRef<any>;
    currentIndex: import("vue").Ref<any>;
    autoplaying: import("vue").Ref<any>;
    breakpointOptions: import('../components/UiSwiperModel').BreakpointsOptions | undefined;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:index": (index: number, swiper: unknown) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    loop: {
        type: import("vue").PropType<boolean>;
    };
    autoplay: {
        type: import("vue").PropType<boolean | AutoplayOptions>;
    };
    breakpoints: {
        type: import("vue").PropType<PropBreakpoint>;
    };
    direction: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: string;
    };
    index: {
        type: import("vue").PropType<number>;
    };
    slidesPerView: {
        type: import("vue").PropType<number | "auto">;
        default: number;
    };
    spaceBetween: {
        type: import("vue").PropType<number>;
    };
    scrollbar: {
        type: import("vue").PropType<boolean>;
    };
    pagination: {
        type: import("vue").PropType<boolean | PaginationOptions>;
    };
    navigation: {
        type: import("vue").PropType<boolean | NavigationOptions>;
    };
    autoHeight: {
        type: import("vue").PropType<boolean>;
    };
    freeMode: {
        type: import("vue").PropType<boolean | FreeModeOptions>;
    };
    fade: {
        type: import("vue").PropType<boolean>;
    };
    centeredSlides: {
        type: import("vue").PropType<boolean>;
    };
    slidesPerGroup: {
        type: import("vue").PropType<number>;
    };
    mousewheel: {
        type: import("vue").PropType<boolean>;
    };
}>> & {
    "onUpdate:index"?: ((index: number, swiper: unknown) => any) | undefined;
}, {
    direction: "vertical" | "horizontal";
    slidesPerView: number | "auto";
}, {}>, {
    default?(_: {
        index: any;
        autoplaying: any;
        swiper: any;
    }): any;
    "custom-pagination"?(_: {
        index: any;
        autoplaying: any;
        swiper: any;
    }): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
